<?php

namespace Drupal\default_paragraphs\Events;

use Drupal\paragraphs\ParagraphInterface;
use Symfony\Component\EventDispatcher\Event;

/**
 * Represents Paragraph Entity adding as default.
 */
class DefaultParagraphsAddEvent extends Event {

  /**
   * The paragraph entity being added.
   *
   * @var \Drupal\paragraphs\ParagraphInterface
   */
  protected $paragraphEntity;

  /**
   * DefaultParagraphsAddEvent constructor.
   *
   * @param \Drupal\paragraphs\ParagraphInterface $paragraph_entity
   *   The paragraph entity being created.
   */
  public function __construct(ParagraphInterface $paragraph_entity) {
    $this->paragraphEntity = $paragraph_entity;
  }

  /**
   * Get the paragraph entity.
   *
   * @return \Drupal\paragraphs\ParagraphInterface
   *   A paragraph entity.
   */
  public function getParagraphEntity() {
    return $this->paragraphEntity;
  }

  /**
   * Set the paragraph entity.
   *
   * @param \Drupal\paragraphs\paragraphInterface $paragraph_entity
   *   The updated paragraph entity.
   */
  public function setParagraphEntity(paragraphInterface $paragraph_entity) {
    $this->paragraphEntity = $paragraph_entity;
  }

}
